Error while compiling apache on CentOS 5.5

I got the following error when I was trying to modify my existing installation of Apache. Only thing I changed was to add –with-expires to my configure. Here is the error:

libtool: link: cannot find the library `/usr/local/src/httpd-2.2.14/srclib/apr-util/xml/expat/lib/libexpat.la' or unhandled argument `/usr/local/src/httpd-2.2.14/srclib/apr-util/xml/expat/lib/libexpat.la'

I was able to fix this error by adding: --with-expat=builtin

Remember to do make clean or untar again before doing configure. Good luck!

3 thoughts on “Error while compiling apache on CentOS 5.5

  1. DJ services In Kansas City MO

    My programmer is trying to convince me to move tto .net
    from PHP. I hhave always disliked the idea because of the costs.
    But he’s tryiong none the less. I’ve been using Movable-type on a variety off
    websites for about a yeqr and am worried about switching to
    another platform. I have heard great things about blogengine.net.
    Is there a wayy I ccan import all my wordpress posts into it?
    Any help would be really appreciated!

Leave a Reply

Your email address will not be published. Required fields are marked *